import 'package:flutter/material.dart';

class SeniorSquareButtonsMenuStyle {
  /// Style definitions for the Senior Square Buttons Menu component.
  const SeniorSquareButtonsMenuStyle({
    this.backgroundColor,
    this.backgroundGradientColors,
    this.disabledBackgroundColor,
    this.disabledBackgroundGradientColors,
    this.disabledFontColor,
    this.fontColor,
  });

  /// Defines the button's background color.
  /// It is only displayed when no value has been assigned to the parameter [backgroundGradientColors] 
  final Color? backgroundColor;
  
  /// Defines the button's gradient colors.
  final List<Color>? backgroundGradientColors;
  
  /// Defines the background color for when the button is disabled.
  /// It is only displayed when no value has been assigned to the parameter [disabledBackgroundGradientColors] 
  final Color? disabledBackgroundColor;
  
  /// Defines the gradient colors for when the button is disabled.
  final List<Color>? disabledBackgroundGradientColors;
  
  /// Defines the text color of the button when it is disabled.
  final Color? disabledFontColor;
  
  /// Defines the button text color.
  final Color? fontColor;
}
